%global npm_name exists-stat
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel 3
Summary: Synchronously check if a path exists and returns its stats object if it does
License: MIT
Group: Development/Other
URL: https://github.com/trentmwillis/exists-stat#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1502622
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1280468
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1224987
- imported package nodejs-exists-stat

